Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.shieldbase.ai/external/agents/run \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --header 'X-Client-ID: <api-key>' \ --header 'X-Secret: <api-key>' \ --data ' { "prompt": "<string>", "agent_id": "<string>", "model": "<string>", "document_ids": [ "<string>" ], "timeout_seconds": 600 } '
{ "conversation_id": "<string>", "output": "<string>", "generated_files": "<array>", "success": true }
Execute an agentic task and block until completion
Task completed